/*
 * randnum.cpp: definition of RandNum class
 */

#include <stdlib.h>
#include <time.h>

#include "randnum.h"

/*
 * construction
 */
RandNum::RandNum()
{
  // seed the operating system random number generator with current
  // time in seconds since some fixed point in the past (1970?)
  srand((unsigned)time(NULL));
}

/*
 * return the next random number, converted to double in
 * the range 0.0 - 1.0
 */
double RandNum::next()
{
  int n = rand();

  return double(n) / double(RAND_MAX);
}
